## dfdatetime 20160323

=== debian/changelog ===
dfdatetime (20160323-1) unstable; urgency=medium

  * Initial release (Closes: #823001)

 -- Hilko Bengen <bengen@debian.org>  Fri, 29 Apr 2016 23:40:03 +0200

## dfdatetime 20170103

=== requirements.txt ===
pip >= 7.0.0
pytest

=== debian/changelog ===
dfdatetime (20170103-1) unstable; urgency=medium

  * New upstream version 20170103

 -- Hilko Bengen <bengen@debian.org>  Sat, 07 Jan 2017 20:28:25 +0100

dfdatetime (20161227-1) unstable; urgency=medium

  * New upstream version 20161227

 -- Hilko Bengen <bengen@debian.org>  Mon, 02 Jan 2017 15:45:50 +0100

dfdatetime (20161101-1) unstable; urgency=medium

  * New upstream version 20161101

 -- Hilko Bengen <bengen@debian.org>  Sat, 05 Nov 2016 00:24:52 +0100

dfdatetime (20161017-1) unstable; urgency=medium

  * New upstream version 20161017

 -- Hilko Bengen <bengen@debian.org>  Tue, 18 Oct 2016 01:23:19 +0200

=== debian/control ===
Source: dfdatetime
Section: python
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python, python-setuptools,
 python3, python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/log2timeline/dfdatetime
Vcs-Git: git://anonscm.debian.org/forensics/dfdatetime.git
Vcs-Browser: https://anonscm.debian.org/cgit/forensics/dfdatetime.git

Package: python-dfdatetime
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Description: Digital Forensics date and time library for Python 2
 dfDateTime, or Digital Forensics date and time, provides date and
 time objects to preserve accuracy and precision.

Package: python3-dfdatetime
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Digital Forensics date and time library for Python 3
 dfDateTime, or Digital Forensics date and time, provides date and
 time objects to preserve accuracy and precision.

## dfdatetime 20170719

=== debian/changelog ===
dfdatetime (20170719-1) unstable; urgency=medium

  * New upstream version 20170719

 -- Hilko Bengen <bengen@debian.org>  Thu, 20 Jul 2017 07:15:05 +0200

dfdatetime (20170704-1) unstable; urgency=medium

  * New upstream version 20170704
  * Bump Standards-Version, Debhelper compat level

 -- Hilko Bengen <bengen@debian.org>  Wed, 05 Jul 2017 09:06:18 +0200

dfdatetime (20170605-1) unstable; urgency=medium

  * New upstream version 20170605

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Jun 2017 10:29:17 +0200

dfdatetime (20170529-1) unstable; urgency=medium

  * New upstream version 20170529
  * Update build-dependencies

 -- Hilko Bengen <bengen@debian.org>  Sat, 03 Jun 2017 11:48:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper (>= 10), dh-python,
  python, python-setuptools,
  python3, python3-setuptools,
-Standards-Version: 3.9.8
+ python-mock, python3-mock,
+Standards-Version: 4.0.0
 Homepage: https://github.com/log2timeline/dfdatetime
 Vcs-Git: git://anonscm.debian.org/forensics/dfdatetime.git
 Vcs-Browser: https://anonscm.debian.org/cgit/forensics/dfdatetime.git

## dfdatetime 20180110

=== debian/changelog ===
dfdatetime (20180110-1) unstable; urgency=medium

  * New upstream version 20180110

 -- Hilko Bengen <bengen@debian.org>  Mon, 15 Jan 2018 13:01:33 +0100

dfdatetime (20171228-1) unstable; urgency=medium

  * New upstream version 20171228
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Sun, 31 Dec 2017 15:09:58 +0100

dfdatetime (20171129-1) unstable; urgency=medium

  * New upstream version 20171129

 -- Hilko Bengen <bengen@debian.org>  Mon, 11 Dec 2017 11:21:42 +0100

dfdatetime (20171109-1) unstable; urgency=medium

  * New upstream version 20171109

 -- Hilko Bengen <bengen@debian.org>  Fri, 10 Nov 2017 09:27:34 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python, python-setuptools,
  python3, python3-setuptools,
  python-mock, python3-mock,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/log2timeline/dfdatetime
 Vcs-Git: git://anonscm.debian.org/forensics/dfdatetime.git
 Vcs-Browser: https://anonscm.debian.org/cgit/forensics/dfdatetime.git

## dfdatetime 20180704

=== debian/changelog ===
dfdatetime (20180704-1) unstable; urgency=medium

  * New upstream version 20180704
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Fri, 03 Aug 2018 17:30:17 +0200

dfdatetime (20180324-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * New upstream version 20180324

 -- Hilko Bengen <bengen@debian.org>  Wed, 28 Mar 2018 15:52:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: dfdatetime
 Section: python
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 10), dh-python,
  python, python-setuptools,
  python3, python3-setuptools,
  python-mock, python3-mock,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/log2timeline/dfdatetime
-Vcs-Git: git://anonscm.debian.org/forensics/dfdatetime.git
-Vcs-Browser: https://anonscm.debian.org/cgit/forensics/dfdatetime.git
+Vcs-Git: https://salsa.debian.org/pkg-security-team/dfdatetime.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfdatetime
 
 Package: python-dfdatetime
 Architecture: all

## dfdatetime 20190116

=== requirements.txt ===
pip >= 7.0.0

=== debian/changelog ===
dfdatetime (20190116-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #942957, #936387

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Dec 2019 13:04:58 -0500

dfdatetime (20190116-1) unstable; urgency=medium

  * New upstream version 20190116

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Jan 2019 12:58:01 +0100

dfdatetime (20181025-1) unstable; urgency=medium

  * New upstream version 20181025
  * Bump Debhelper compat level
  * Replace dh_install --fail-missing
  * Bump Standards-Version
  * Add not-installed (dh_missing bug?)

 -- Hilko Bengen <bengen@debian.org>  Wed, 26 Dec 2018 18:16:24 +0100

=== debian/control ===
Source: dfdatetime
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 11), dh-python,
 python3, python3-setuptools,
 python3-mock,
Standards-Version: 4.3.0
Homepage: https://github.com/log2timeline/dfdatetime
Vcs-Git: https://salsa.debian.org/pkg-security-team/dfdatetime.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfdatetime

Package: python3-dfdatetime
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Digital Forensics date and time library for Python 3
 dfDateTime, or Digital Forensics date and time, provides date and
 time objects to preserve accuracy and precision.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# Tests may fail due to stupid Python UnicodeEncodeError exceptions
# otherwise.
export LC_ALL=C.UTF-8

# main packaging script based on dh7 syntax
%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_missing:
	dh_missing --fail-missing

override_dh_install:
	dh_install -X/usr/share/doc/

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} run_tests.py" dh_auto_test

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
    https://github.com/log2timeline/dfdatetime/releases .*/archive/(20.*)\.tar\.gz

## dfdatetime 20200824

=== debian/changelog ===
dfdatetime (20200824-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Team upload.
  * Configure git-buildpackage.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * New upstream version 20200824.
  * Bump DH level to 13.
  * debian/control: add 'Rules-Requires-Root: no'.
  * debian/copyright: update upstream and packaging copyright years.
  * debian/rules: add 'override_dh_auto_install' for remove extra license file.
  * debian/upstream/metadata: add fields: Repository and Repository-Browse.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 15 Oct 2020 00:56:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 11), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
  python3, python3-setuptools,
  python3-mock,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/log2timeline/dfdatetime
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dfdatetime.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfdatetime
+Rules-Requires-Root: no
 
 Package: python3-dfdatetime
 Architecture: all

## dfdatetime 20210509

=== docs/requirements.txt ===
docutils
recommonmark
sphinx >= 2.0.1
sphinx-markdown-tables
sphinx-rtd-theme >= 0.5.1

=== debian/changelog ===
dfdatetime (20210509-1) unstable; urgency=medium

  * Team upload.

  * Update debian/watch wrt. to changed Github link structure.
  * Bump debian/watch to version 4.
  * Import new upstream release 20210509.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Add "/*.egg-info/" to debian/clean to be able to build twice in a row.

 -- Axel Beckert <abe@debian.org>  Mon, 25 Oct 2021 20:41:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3, python3-setuptools,
  python3-mock,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/log2timeline/dfdatetime
 Vcs-Git: https://salsa.debian.org/pkg-security-team/dfdatetime.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfdatetime

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 %:
 	dh $@ --with=python3 --buildsystem=pybuild
 
+override_dh_auto_install:
+	dh_auto_install
+	find ./debian -type f -name "LICENSE" -delete
+
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$// \
    https://github.com/log2timeline/dfdatetime/releases .*/archive/refs/tags/(20.*)\.tar\.gz

## dfdatetime 20220131

=== debian/changelog ===
dfdatetime (20220131-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:42:26 +0200

dfdatetime (20220131-0kali1) kali-dev; urgency=medium

  * New upstream version 20220131

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 13 May 2022 11:04:07 +0200

=== debian/control ===
Source: dfdatetime
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13), dh-python,
 python3, python3-setuptools,
 python3-mock,
Standards-Version: 4.6.0
Homepage: https://github.com/log2timeline/dfdatetime
Rules-Requires-Root: no

Package: python3-dfdatetime
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Digital Forensics date and time library for Python 3
 dfDateTime, or Digital Forensics date and time, provides date and
 time objects to preserve accuracy and precision.

## dfdatetime 20240220

=== debian/changelog ===
dfdatetime (20240220-2) unstable; urgency=medium

  * Team upload.

  * d/control:
    - Drop python3-mock from Build-Depends (Closes: #1069914).
    - Bump Standards-Version to 4.7.0.
  * d/watch:
    - Drop unneeded option "dversionmangle".
    - Add option "filenamemangle".
  * d/copyright: Update my email address to the d.o one.
  * d/salsa-ci.yml: Add variable SALSA_CI_DISABLE_BUILD_PACKAGE_ANY.

 -- Sven Geuer <sge@debian.org>  Tue, 25 Jun 2024 21:42:49 +0200

dfdatetime (20240220-1) unstable; urgency=medium

  * Team upload.

  [ Sven Geuer ]
  * Update d/watch to recognize new upstream versions again.
  * New upstream version 20240220 (Closes: #1060977).
  * Update d/copyright:
    - Bump upstream's copyright years to 2024.
    - Add missing copyright holders regarding debian/*.
  * Update d/control:
    - Fix lintian issue missing-prerequisite-for-pyproject-backend.
    - Bump Standards-Version to 4.6.2.
    - Apply 'wrap-and-sort -at'.
  * Update d/rules:
    - Drop override_dh_missing, 'dh_missing --fail-missing' is the default now.
    - Replace override_dh_auto_install by execute_after_dh_auto_install.

  [ Samuel Henrique ]
  * d/copyright: Update upstream details

 -- Sven Geuer <debmaint@g-e-u-e-r.de>  Fri, 08 Mar 2024 22:19:02 +0100

## dfdatetime 20240504

=== docs/requirements.txt ===
certifi >= 2023.11.17
docutils
Markdown
recommonmark
sphinx >= 4.1.0
sphinx-markdown-tables
sphinx-rtd-theme >= 0.5.1

=== debian/changelog ===
dfdatetime (20240504-1) unstable; urgency=medium

  * New upstream version 20240504

 -- Hilko Bengen <bengen@debian.org>  Sun, 19 Jan 2025 00:06:32 +0100

=== debian/control ===
Source: dfdatetime
Section: python
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3,
               python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/log2timeline/dfdatetime
Vcs-Git: https://salsa.debian.org/pkg-security-team/dfdatetime.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/dfdatetime
Rules-Requires-Root: no

Package: python3-dfdatetime
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: Digital Forensics date and time library for Python 3
 dfDateTime, or Digital Forensics date and time, provides date and
 time objects to preserve accuracy and precision.

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,8 @@
 %:
 	dh $@ --with=python3 --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find ./debian -type f -name "LICENSE" -delete
-
-override_dh_missing:
-	dh_missing --fail-missing
 
 override_dh_install:
 	dh_install -X/usr/share/doc/

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?/)?(20.*)\.tar\.gz%dfdatetime-$1.tar.gz% \
https://github.com/log2timeline/dfdatetime/tags \
(?:.*?/)?(20.*)\.tar\.gz
